package com.jeeplus.test.rank.service;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeeplus.sys.utils.UserUtils;
import com.jeeplus.test.rank.domain.RankRsOffice;
import com.jeeplus.test.rank.domain.RankSequence;
import com.jeeplus.test.rank.mapper.RankRsOfficeMapper;
import com.jeeplus.test.rank.mapper.RankSequenceMapper;
import com.jeeplus.test.rank.service.dto.RankSequenceDTO;
import com.jeeplus.test.rank.service.mapstruct.RankSequenceWrapper;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class RankSequenceService extends ServiceImpl<RankSequenceMapper,RankSequence> {

    @Autowired
    private RankSequenceMapper rankSequenceMapper;

    @Autowired
    private RankRsOfficeMapper rankRsOfficeMapper;

    public void saveRankSequence(RankSequenceDTO rankSequenceDTO){
        RankSequence rankSequence = RankSequenceWrapper.INSTANCE.toEntity(rankSequenceDTO);
        this.saveOrUpdate(rankSequence);
        if(ObjectUtil.isNotEmpty(rankSequenceDTO)){
            if(StrUtil.isNotEmpty(rankSequenceDTO.getId())){
                rankRsOfficeMapper.delete(new QueryWrapper<RankRsOffice>().eq("rs_id",rankSequenceDTO.getId()));
                if(CollectionUtil.isNotEmpty(rankSequenceDTO.getOfficeIdList())){
                    rankRsOfficeMapper.insertListById(rankSequenceDTO.getId(),rankSequenceDTO, UserUtils.getCurrentUserDTO().getId());
                }
            }
        }
    }

    public IPage<RankSequenceDTO> findList(Page<RankSequenceDTO> page, QueryWrapper<RankSequence> queryWrapper){
        queryWrapper.eq("rs.del_flag","0")
                .orderByAsc("rs.sort")
                .orderByDesc("rs.create_date");
        return rankSequenceMapper.findList(page,queryWrapper);
    }

    public void updateUseFlagById(List<String> ids, String useFlag){
        rankSequenceMapper.updateUseFlagById(ids,useFlag);
    }

    public RankSequenceDTO queryById(String id){
        return rankSequenceMapper.queryById(id);
    }
}