package com.jeeplus.test.user.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.sys.utils.StringUtils;
import com.jeeplus.test.user.domain.SysUserInfo;
import com.jeeplus.test.user.domain.dto.UserInfoDetailDto;
import com.jeeplus.test.user.domain.dto.UserListDto;
import com.jeeplus.test.user.service.UserInfoService;
import com.jeeplus.test.workClientInfo.domain.WorkClientInfo;
import com.jeeplus.test.workClientInfo.domain.dto.PageInfoDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Slf4j
@Api(tags ="userInfo")
@RestController
@RequestMapping(value = "/sys/userInfo")
public class UserInfoController {

    @Resource
    private UserInfoService userInfoService;

    /**
     * 用户信息列表
     */
    @ApiOperation(value = "用户信息列表")
    @PostMapping(value = "/list")
    public Page<SysUserInfo> list(Page<SysUserInfo> page, @RequestBody UserListDto userListDto) {
        return userInfoService.list(userListDto, page);
    }

    @ApiOperation(value = "删除用户信息")
    @GetMapping(value = "/remove")
    public String remove(@RequestParam String id) {
        return userInfoService.remove(id);
    }

    @ApiOperation(value = "根据id获取用户信息")
    @GetMapping(value = "/getUserInfoById")
    public UserInfoDetailDto getUserInfoById(@RequestParam String id) {
        return userInfoService.getUserInfoById(id);
    }

    @ApiOperation(value = "保存、更新数据")
    @PostMapping(value = "/save")
    public String save(@RequestBody UserInfoDetailDto userInfoDetailDto) {
        if (StringUtils.isEmpty(userInfoDetailDto.getId())) {
            return userInfoService.add(userInfoDetailDto);
        }else {
            return userInfoService.modify(userInfoDetailDto);
        }
    }
}
