package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户执业资格证书
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_certificate")
public class SysUserCertificate implements Serializable {
    private static final long serialVersionUID = 1L;

    // id
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 证书名称
    @TableField("certificate_name")
    private String certificateName;

    // 证书编码
    @TableField("certificate_number")
    private String certificateNumber;

    // 注册日期
    @TableField("regine_date")
    private Date regineDate;

    // 发证日期
    @TableField("issue_date")
    private Date issueDate;

    // 发证机关
    @TableField("Issuing_authority")
    private String issuingAuthority;

    // 专业
    @TableField("major")
    private String major;

    // 文件地址
    @TableField("file_url")
    private String fileUrl;
}
