package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户劳动关系
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_contract")
public class SysUserContract implements Serializable {
    private static final long serialVersionUID = 1L;

    // 主键
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 合同类型
    @TableField("contract_type")
    private Short contractType;

    // 合同编号
    @TableField("contract_number")
    private String contractNumber;

    // 合同期限
    @TableField("contract_period")
    private String contractPeriod;

    // 合同起始日期
    @TableField("contract_begin_date")
    private Date contractBeginDate;

    // 合同终止日期
    @TableField("contract_end_date")
    private Date contractEndDate;

    // 试用期结束日期
    @TableField("probation_end_date")
    private Date probationEndDate;

    // 办理日期
    @TableField("processing_date")
    private Date processingDate;

    // 文件地址
    @TableField("file_url")
    private String fileUrl;
}
