package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户教育经历
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_education")
public class SysUserEducation implements Serializable {
    private static final long serialVersionUID = 1L;

    // 主键
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 毕业院校
    @TableField("school_name")
    private String schoolName;

    // 所学专业
    @TableField("major")
    private String major;

    // 学历
    @TableField("education")
    private Integer education;

    // 学位
    @TableField("degree")
    private Integer degree;

    // 学历性质
    @TableField("education_type")
    private Integer educationType;

    // 入学日期
    @TableField("entrance_date")
    private Date entranceDate;

    // 毕业日期
    @TableField("graduation_date")
    private Date graduationDate;

    // 学历证书地址
    @TableField("education_certificate_url")
    private String educationCertificateUrl;

    // 学位证书地址
    @TableField("degree_certificate_url")
    private String degreeCertificateUrl;
}
